Skip to main content
GET
Get company list results

Authorizations

X-API-Key
string
header
required

Path Parameters

listId
string<uuid>
required

The ID of the list being requested.

Example:

"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"

Query Parameters

limit
integer
default:50

The number of results to return per page (minimum 1, maximum 5000, default 50).

Required range: 1 <= x <= 5000
page
integer
default:0

The page number of results to return, base 0, default is 0.

Required range: x >= 0

Response

The list of companies that were found in the query

id
string
required

The Specter ID for this company, can be used in other endpoints

Example:

"5e3bc2b700c8f4c966ad2bbd"

website
Website · object
required

The website information related to the company.

hq
HQ · object
required

Location information about the companies HQ.

contact
Contact · object
required

General contact information for the company.

funding
Funding · object
required

Information about funding the company has received.

web
Web · object
required

Metrics related to the web, user visits, popularity, etc.

reviews
Reviews · object
required

Information about reviews of the website, and products that the company has received through different sites (G2, Trustpilot, Chrome Extensions, etc)

socials
Socials · object
required

Information about different social sites.

organization_name
string | null

The main public name for the organization.

Example:

"Stripe"

organization_rank
integer | null

The Specter rank for this company.

Example:

459

organization_name_aliases
(string | null)[]

A list of company names that are associated with this company.

Example:
primary_role
string | null

The primary role that this company has.

Example:

"company"

roles

Other roles that the company may have.

description
string | null

A description for what the company does, and who they are.

Example:

"Stripe provides programmable financial infrastructure that lets businesses accept payments, manage billing, and embed financial services into their products. It delivers this via developer-friendly APIs and products including Checkout, Elements, Payment Links, and the Stripe Dashboard, plus integrations for platforms and marketplaces. The platform supports a range of billing models, global payment methods and currencies, and fraud-prevention tools. Stripe is offered as cloud software for companies from startups to large enterprises and is used to power online and in-person commerce worldwide."

tagline
string | null

A concise description that highlights what the company does.

Example:

"Stripe provides financial infrastructure for businesses to accept payments and grow revenue."

customer_focus
string
default:""

The type of customers the company deals with.

Example:

"b2c"

business_models
string[]

The business models that the company operates under. There can be up to 3 business models assigned to the same company.

Example:
certifications
string[]

Industry certifications like HIPAA, GDPR, and more.

Example:
customer_profile
string
default:""

The company's typical customer profile to help understand the ideal customers for each company.

Example:

"Companies accepting payments and managing revenue"

traction_highlights
string
default:""

Impact data reported by the clients on their growth, highlights, etc.

Example:

"500M+ API requests per day, 99.999% uptime, 47+ countries, 135+ currencies"

reported_clients
string[]

A list of clients the company works with-these are Specter IDs that link to other companies in our system.

Example:
last_updated
string
default:""

A date for when the company was last updated in Specter. Uses the format YYYY-MM-DD.

Example:

"2026-06-30"

tags
string[]

Tags taken from different sorts that are related to the company its industry and what it does.

Example:
industry
string[] | null

Classifies companies by their economic activity - the market they serve and the products or services they deliver. E.g: Construction, Utilities, Wholesale. There is one industry per company, with up to three levels.

Example:
tech_verticals
string[][] | null

Classifies companies by the technology domain they operate in - the technical capability or space they're building around. E.g: AI & Machine Learning, Cybersecurity, FinTech. There can be up to 5 tech verticals per company, with 2 levels each.

Example:
operating_status
string | null

The status of the company.

Example:

"active"

highlights
string[]

All highlights (growth, funding, news, etc)

Example:
new_highlights
string[]

Highlights new to this month (growth, funding, news, etc)

Example:
regions
string[]

A list of regions that the company operates in.

Example:
founded_year

The year that the company was founded.

Example:

2010

founders
string[]

The names of the founders. Deprecated, use the founder_info instead.

Example:
founder_highlights
string[] | null

Notable attributes of the founding team - e.g. prior exits, prior VC-backed experience, strong technical background.

Example:
founder_info
PublicCompanyFounder · object[] | null

Information about the founders.

founder_count
integer | null

The number of founders, equal to the length of the founders list.

Example:

3

employee_count
integer | null

The number of employees the company currently has.

Example:

15841

employee_count_range
string | null

A range for how many the employees the company has.

Example:

"201-500"

investors
string[]

The list of investors who have invested in the company, can be none.

Example:
investor_count
integer | null

The number of investors, same as the length of the list of investors.

Example:

72

patent_count
integer | null

The number of patents that the company owns.

Example:

292

trademark_count
integer | null

The number of trademarks the company has.

Example:

104

acquisition
Acquisition · object | null

If the company has been acquired, information about the acquisition is here.

ipo
IpoDetails · object[]

List of IPOs if there have been any.

growth_stage
string
default:""

Indicates what growth stage the company is in.

Example:

"growing"

technologies
string[]

A list of technologies that the company uses.

Example:
it_spend
integer | null

The annual amount in USD ($) that the company spends on IT.

Example:

418200000

awards
PublicCompanyAward · object[]

A list of awards the company has received.

award_count
integer | null

The number of awards the company has, same as the length of the awards field.

Example:

6

traction_metrics
TractionMetrics · object | null

Gain deeper insights into a company's traction and growth trends across key areas, including website traffic, social media presence, app engagement, and employee expansion.

This dataset reveals how a company's metrics have evolved over time, allowing you to track momentum and make data-driven decisions.

Each traction metric highlights the difference between the current value and past values, providing clear visibility into growth patterns over:

  • 📆 1mo: 1-month growth
  • 📆 2mo: 2-month growth
  • 📆 3mo: 3-month growth
  • 📆 4mo: 4-month growth
  • 📆 5mo: 5-month growth
  • 📆 6mo: 6-month growth
  • 📆 12mo: 12-month growth
  • 📆 24mo: 24-month growth
specter_strategic_signal_ids
string[] | null

Investor-interest signal IDs for this company. To read the signals themselves, call Get company investor-interest signals rather than resolving these IDs individually.

team_department_breakdown
TeamDepartmentShare · object[] | null

Share of employees in each department. percentage is a fraction between 0 and 1.

team_location_breakdown
TeamLocationCount · object[] | null

Employee headcount by country.